
#ifndef LAYOUT_DOT_H_INCLUDED
#define LAYOUT_DOT_H_INCLUDED



 typedef struct layout_metrics layout_metrics_t; struct layout_metrics {
	int page_width;
	void (*font_metrics)(layout_metrics_t *,int, wchar_t,int *,int *,int*);
	int (*bullet_indent)(layout_metrics_t *,int);
	int (*text_style)(layout_metrics_t *,int);
	int (*header_style)(layout_metrics_t *,int);
	wchar_t bullet_chr;
	int paragraph_spacing;
	int link_style;
	int preformatted_style;
	int (*tabstop)(layout_metrics_t*, int x);
	int line_spacing;
}; typedef struct {
	int ascent;
	int style;
	int aux;
	char *text;
} disp_text_t; typedef struct {
	int opcode;
	int width,height;
	int x,y;
	union {
		disp_text_t text;
	} d;
} text_part_t;
#ifdef __cplusplus
extern "C" {
#endif
 int layout_doc(char *txt,layout_metrics_t *metrics,text_part_t **result) ;
#ifdef __cplusplus
}
#endif

#endif
