
#ifndef UTF8_DOT_H_INCLUDED
#define UTF8_DOT_H_INCLUDED



 enum {
	/* deletes any invalid chars from the stream */
	UTF8_DELETE= 0,
	/* returns invalid char sequences as they are,
	 but marks them as invalid chars by setting the 31st bit */
	UTF8_REPORT }; typedef struct {
	unsigned outbuf[6];
	int outlen;

	unsigned char pbuf[6];
	int size;
	int len;
	unsigned erract;
} utf8decoder_t;
#ifdef __cplusplus
extern "C" {
#endif
 void
utf8decoder_init(utf8decoder_t *dec,int erract) ; int
utf8decoder_chr(utf8decoder_t *dec,unsigned chr) ; int
utf8decoder_end(utf8decoder_t *dec) ; int
utf8encode_chr(unsigned chr,unsigned char *dst) ; wchar_t*
utf8buf2wstr(char *str,int len) ; void
wchr2utf8str(wchar_t chr,char *out) ;
#ifdef __cplusplus
}
#endif

#endif
