-[ program "parse-dbg.c" ]

-[private] void output_bullet_pbreak(parser_t *p,int d) { printf("BP[%d]\n",d); }
-[private] void output_paragraph_break(parser_t *p) {printf("P\n"); }
-[private] void output_header(parser_t *p,int level, char *s,char *e) {
	printf("HDR[%d]<",level);
	prt_range(s,e);
	printf(">\n");
}
-[private] void output_link(parser_t *p,int kind,char *s,char *e) {
	printf("LNK[%d]<",kind);
	prt_range(s,e);
	printf(">\n");
}

-[private] void output_text(parser_t *p,int kind, char *s,char *e) {
	if (!kind) kind= 'D';
	printf("TXT[%c]<",kind);
	prt_range(s,e);
	printf(">\n");
}

-[private] void output_tag(parser_t *p,char *value)
{
	printf("TAG[%s]\n",value);
}

int main(int argc,char **argv) {
	char *buf;
	int len;
	file_read_all(argv[1],&buf,&len);
	parse_doc(buf,0);
	return 0;
}

-[private] void
prt_range(char *s,char *e) {
	fwrite(s, 1, e-s, stdout);
}

-[private] void
output_preformatted(parser_t *p,char *s,char *e) {
	printf("PRE\n");
	prt_range(s,e);
	printf("END\n");
}