
#include <fx.h>

#include "xtview.h"
#include "main.h"

#include "display.h"

 static  void create_toplevel() ; static  void show_viewing_screen() ; static  void show_editing_screen() ; static  char *choose_file(char *title) ;
 static  FXMainWindow *main_window; static  FXLabel *title_label; static  xtview_t *view; static  FXComposite *screen; static  FXText *edit_area; static  char *page_name; static  char *page_text;
     
     class MyFoxApp : public FXApp {
	     FXDECLARE(MyFoxApp)
	     public:
	     	enum {
			     ID_FIRSTCMD= FXApp::ID_LAST,
			     
            ID_BUTTON61, 
     
            ID_BUTTON69, 
     
            ID_BUTTON77, 
     
            ID_BUTTON82, 
     
            ID_BUTTON87, 
     
            ID_BUTTON93, 
     
            ID_BUTTON102, 
     
            ID_BUTTON110, 
     
            ID_BUTTON115, 
     
            ID_BUTTON123, 
     
            ID_BUTTON131, 
     
	     	ID_TEXTAREA41,
	     
	        };
		public:
		      
            long onBUTTON61(FXObject *object,FXSelector sel, void *arg) {


		show_editing_screen();
		screen->create();
		main_window->recalc();
		edit_area->setText(page_text);
	
	return 1;
      } 
            long onBUTTON69(FXObject *object,FXSelector sel, void *arg) {


	char *fname;
	fname= choose_file("Dosya -> Program");
	if (!fname)
		return 1;
	load_file(fname);
	free(fname);

	return 1;
      } 
            long onBUTTON77(FXObject *object,FXSelector sel, void *arg) {


	char *fname;
	fname= choose_file("Program -> Dosya");
	if (!fname)
		return 1;
	save_file(fname);
	free(fname);

	return 1;
      } 
            long onBUTTON82(FXObject *object,FXSelector sel, void *arg) {


	char *fname;
	fname= get_file_name();
	if (!fname) {
		fname= choose_file("Program -> Dosya");
		if (!fname)
			return 1;
	}
	save_file(fname);

	return 1;
      } 
            long onBUTTON87(FXObject *object,FXSelector sel, void *arg) {


	exit(0);

	return 1;
      } 
            long onBUTTON93(FXObject *object,FXSelector sel, void *arg) {


	move_back();

	return 1;
      } 
            long onBUTTON102(FXObject *object,FXSelector sel, void *arg) {


	move_forward();

	return 1;
      } 
            long onBUTTON110(FXObject *object,FXSelector sel, void *arg) {



	return 1;
      } 
            long onBUTTON115(FXObject *object,FXSelector sel, void *arg) {


	display_toc();

	return 1;
      } 
            long onBUTTON123(FXObject *object,FXSelector sel, void *arg) {


	char *txt= strdup(edit_area->getText().text());
	show_viewing_screen();
	screen->create();
	save_page(page_name, txt);
	free(txt);

	return 1;
      } 
            long onBUTTON131(FXObject *object,FXSelector sel, void *arg) {


	show_viewing_screen();
	screen->create();
	view->set_text(page_text);

	return 1;
      } 
		      MyFoxApp(const FXString &name, const FXString &vendor) 
		      	: FXApp(name, vendor) { }
			MyFoxApp() : FXApp() { }
		            
     };
     FXDEFMAP(MyFoxApp)  MyFoxAppMap[]= {
	     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON61, 
	     	MyFoxApp::onBUTTON61),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON69, 
	     	MyFoxApp::onBUTTON69),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON77, 
	     	MyFoxApp::onBUTTON77),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON82, 
	     	MyFoxApp::onBUTTON82),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON87, 
	     	MyFoxApp::onBUTTON87),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON93, 
	     	MyFoxApp::onBUTTON93),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON102, 
	     	MyFoxApp::onBUTTON102),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON110, 
	     	MyFoxApp::onBUTTON110),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON115, 
	     	MyFoxApp::onBUTTON115),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON123, 
	     	MyFoxApp::onBUTTON123),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON131, 
	     	MyFoxApp::onBUTTON131),
     
    };
    FXIMPLEMENT(MyFoxApp, FXApp, 
    	MyFoxAppMap, ARRAYNUMBER(MyFoxAppMap))
    static MyFoxApp *foxapp;
 









 static  void create_toplevel() {
	 
      FXComposite *parent;
      void *lastobj;
      int common_options= 0;


	 {
	FXMainWindow *obj;
	FXComposite *prior;
	int _width=0, _height= 0;
	
          _width= 600; _height= 600;
   
	obj= new FXMainWindow(foxapp,
		"HELLO!!", NULL, NULL, DECOR_ALL,
		0, 0, _width, _height);
	
	prior= parent;
	parent=obj;


		
   


		
		main_window= obj;
	 parent= prior; }



	 
	

}

 static  void show_viewing_screen() {
	if (screen) delete screen;
	 
      FXComposite *parent;
      void *lastobj;
      int common_options= 0;


	parent= main_window;
	 {
	FXVerticalFrame *obj;
	FXComposite *prior;
	int opts= 0;
	
		opts |= LAYOUT_FILL_X;
	
		opts |= LAYOUT_FILL_Y;
	
	obj= new FXVerticalFrame(parent,opts);
	prior= parent;
	parent= obj;
	
 
	

 
	



		 {
	FXHorizontalFrame *obj;
	FXComposite *prior;
	int opts= 0;
	
		opts |= LAYOUT_FILL_X;
	
	obj= new FXHorizontalFrame(parent,opts);
	prior= parent;
	parent= obj;
	
 
	


			
 {
	FXButton *obj;
	int opts=0;
	char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "Değiştir";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON61, opts);
	
	


	
     


	
     



  
	
     
     
     
     
     
      
}





			
 
{
	int opts= LABEL_NORMAL;
	
	FXLabel *obj= new FXLabel(parent, " / ",0,opts);

 
{ FXFont *font= obj->getFont();
  FXFontDesc descr;
  font->getFontDesc(descr);
  descr.size= 140;
  obj->setFont(new FXFont(foxapp,descr));
}

 
}


 {
	FXButton *obj;
	int opts=0;
	char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "Aç";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON69, opts);
	
	

 
     

 
     

 
  
	
     
     
     
     
     
      
}



 
{
	int opts= LABEL_NORMAL;
	
	FXLabel *obj= new FXLabel(parent, "Dosya",0,opts);

 
{ FXFont *font= obj->getFont();
  FXFontDesc descr;
  font->getFontDesc(descr);
  descr.size= 120;
  obj->setFont(new FXFont(foxapp,descr));
}

 
}


 {
	FXButton *obj;
	int opts=0;
	char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "Farklı";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON77, opts);
	
	

 
     

 
     

 
  
	
     
     
     
     
     
      
}



 {
	FXButton *obj;
	int opts=0;
	char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "Kaydet";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON82, opts);
	
	

 
     

 
     

 
  
	
     
     
     
     
     
      
}





			
 {
	FXButton *obj;
	int opts=0;
	char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "Çık";
     
     	opts &= ~(LAYOUT_LEFT | LAYOUT_CENTER_X);
	opts |= LAYOUT_RIGHT;
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON87, opts);
	
	

 
     

 
     



     

 
  
	
     
     
     
     
     
     
     
      
}





		 parent= prior; }


		 {
	FXHorizontalFrame *obj;
	FXComposite *prior;
	int opts= 0;
	
		opts |= LAYOUT_FILL_X;
	
	obj= new FXHorizontalFrame(parent,opts);
	prior= parent;
	parent= obj;
	
 
	


			
 {
	FXButton *obj;
	int opts=0;
	char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "<Geri";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON93, opts);
	
	

 
     

 
     

 
  
	
     
     
     
     
     
      
}



 
{
	int opts= LABEL_NORMAL;
	
	FXLabel *obj= new FXLabel(parent, "",0,opts);

 
{ FXFont *font= obj->getFont();
  FXFontDesc descr;
  font->getFontDesc(descr);
  descr.size= 120;
  obj->setFont(new FXFont(foxapp,descr));
}


	
	title_label= obj;

}


 {
	FXButton *obj;
	int opts=0;
	char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "İleri>";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON102, opts);
	
	

 
     

 
     

 
  
	
     
     
     
     
     
      
}





			
 
{
	int opts= LABEL_NORMAL;
	
	FXLabel *obj= new FXLabel(parent, " / ",0,opts);

 
{ FXFont *font= obj->getFont();
  FXFontDesc descr;
  font->getFontDesc(descr);
  descr.size= 140;
  obj->setFont(new FXFont(foxapp,descr));
}

 
}


 {
	FXButton *obj;
	int opts=0;
	char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "Yukarı";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON110, opts);
	
	

 
     



     

 
  
	
     
     
     
     
     
      
}




 {
	FXButton *obj;
	int opts=0;
	char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "İçindekiler";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON115, opts);
	
	

 
     



     

 
  
	
     
     
     
     
     
      
}




		 parent= prior; }


		
	
	view= new xtview_t( parent, LAYOUT_FILL_X | LAYOUT_FILL_Y );
	view->link_handler= follow_link;


		
		screen= obj;
	 parent= prior; }



	 
	

}

 static  void show_editing_screen() {
	if (screen) delete screen;
	 
      FXComposite *parent;
      void *lastobj;
      int common_options= 0;


	parent= main_window;
	 {
	FXVerticalFrame *obj;
	FXComposite *prior;
	int opts= 0;
	
		opts |= LAYOUT_FILL_X;
	
		opts |= LAYOUT_FILL_Y;
	
	obj= new FXVerticalFrame(parent,opts);
	prior= parent;
	parent= obj;
	

		
	

 
	



		 {
	FXHorizontalFrame *obj;
	FXComposite *prior;
	int opts= 0;
	
		opts |= LAYOUT_FILL_X;
	
	obj= new FXHorizontalFrame(parent,opts);
	prior= parent;
	parent= obj;
	
 
	


			
 {
	FXButton *obj;
	int opts=0;
	char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "Kaydet";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON123, opts);
	
	

 
     

 
     

 
  
	
     
     
     
     
     
      
}




 
{
	int opts= LABEL_NORMAL;
	
	FXLabel *obj= new FXLabel(parent, "Sayfayı",0,opts);

 
{ FXFont *font= obj->getFont();
  FXFontDesc descr;
  font->getFontDesc(descr);
  descr.size= 120;
  obj->setFont(new FXFont(foxapp,descr));
}

 
}



 {
	FXButton *obj;
	int opts=0;
	char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "İptal";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON131, opts);
	
	

 
     

 
     

 
  
	
     
     
     
     
     
      
}





		 parent= prior; }


		 {
	FXText* obj;
	int opts= 0;
	
		opts |= LAYOUT_FILL_X;
	
		opts |= LAYOUT_FILL_Y;
	
		opts |= TEXT_WORDWRAP;
	
	     
	obj= new FXText(parent, foxapp, MyFoxApp::ID_TEXTAREA41, opts);
	

			
	

 
	



			
	


			
			edit_area= obj;
		
}


		screen= obj;
	 parent= prior; }



	 
	

}



static doc_style_t document_styles[]= {
	{ 'D', "Bitstream Vera Sans" , 12, 0, 0, 0 },
	{ 'R', "Bitstream Vera Sans" , 12, 0, 0, 0xff0000 },
	{ 'G', "Bitstream Vera Sans" , 12, 0, 0, 0x438c18 },
	{ 'B', "Arial" , 12, 'B', 0, 0 },
	{ 'I', "Bitstream Vera Sans" , 12, 0, 'I', 0 },
	{ 'L', "Bitstream Vera Sans" , 12, 0, 0, 0xff },
	{ 'C', "Courier New", 12, 0, 0, 0 },
	{ 'F', "Courier New", 12, 0, 0, 0},
	{ '1', "Bitstream Vera Sans", 18, 'B', 0, 0 },
	{ '2', "Bitstream Vera Sans", 17, 'B', 0, 0 },
	{ '3', "Bitstream Vera Sans", 15, 'B', 0, 0 },
	{ '4', "Bitstream Vera Sans", 14, 'B', 0, 0 },
	{ 0, 0, 0, 0 , 0 , 0 }
};



 void run_gui() { foxapp->run(); }



 void display_text(char *pname,char *txt) {
	if (page_name)
		free(page_name);
	page_name= strdup(pname);
	if (page_text)
		free(page_text);
	page_text= strdup(txt);
	view->set_text(txt);
	title_label->setText(pname);
}



 void
init_display(char *pname,char *ptext) {
	int argc= 1;
	
	
	char *argv[]= { "txar", 0 };
	
 
  foxapp= new MyFoxApp("Test", "BlackSys");
  foxapp->init(argc,argv);


	create_toplevel();
	show_viewing_screen();
	xtview_set_styles( foxapp, document_styles );
	foxapp->create();
	main_window->show(PLACEMENT_SCREEN);
	display_text(pname,ptext);
}

 static  char *choose_file(char *title) {
	FXFileDialog *dlg;
	char *fname=0;
	dlg= new FXFileDialog(main_window, title);
	if (dlg->execute()) 
		fname= strdup(dlg->getFilename().text());
	delete dlg;
	return fname;
}

