
#include <stdlib.h>
#include <string.h>

#include "parser.h"

#include "links.h"

 static  void ignore_bullet(void*a1,int a2) ; static  void ignore_pbreak(void*a1) ; static  void ignore_text(void *a1,int a2,char *a3,int a4) ; static  void ignore_formatted(void *a1,char *a2,int a3) ; static  void ignore_header(void *a1,int a2,char *a3,int a4) ; static  void record_link(void *arg,int kind,char *txt,int len) ; static  char *buf2str(char *buf,int len) ;
 static  int nlinks; static  int slinks; static  char **links;





 void get_link_targets(char *txt) {
	parser_sink_t sink;
	
	
	
	
	int i;
	for(i=0;i<nlinks;i++)
		free(links[i]);
	nlinks= 0;


	
	sink.bullet= ignore_bullet;
	sink.pbreak= ignore_pbreak;
	sink.link= record_link;
	sink.text= ignore_text;
	sink.formatted= ignore_formatted;
	sink.header= ignore_header;


	parse_doc(txt, &sink);
}



 static  void ignore_bullet(void*a1,int a2) { }
 static  void ignore_pbreak(void*a1) { }
 static  void ignore_text(void *a1,int a2,char *a3,int a4) { }
 static  void ignore_formatted(void *a1,char *a2,int a3) { }
 static  void ignore_header(void *a1,int a2,char *a3,int a4) { }

 static  void record_link(void *arg,int kind,char *txt,int len) {
	if (kind!='X')
		return ;
	
	if (nlinks==slinks) {
		if (!slinks) {
			slinks= 50;
			 
	links= (typeof(links)) calloc(slinks, sizeof(links[0]));


		} else {
			slinks*= 2;
			
	links= (typeof(links)) realloc( links, sizeof(links[0])*(slinks));


		}
	}


	links[nlinks]= buf2str(txt,len);
	nlinks++;
}




 static  char *buf2str(char *buf,int len) {
	char *s;
	s= malloc(len+1);
	memcpy(s, buf,len);
	s[len]= 0;
	return s;
}




 char* link_text(int id) {
	if (id<1 || id>nlinks)
		return 0;
	return links[id-1];
}

