
#include <fx.h>

#include "xtview.h"
#include "main.h"

#include "display.h"

 static  void create_toplevel() ; static  void show_viewing_screen() ; static  void show_editing_screen() ; static  char *choose_file(char *title) ; static  void do_quit() ;
 static  FXMainWindow *main_window; static  FXLabel *title_label; static  FXLabel *tags_label; static  FXTextField *tsearch_entry; static  xtview_t *view; static  FXComposite *screen; static  FXText *edit_area; static  char *page_name; static  char *page_text;

     
     
     	
	     /* declaration for the page title font goes here */
     	
     class MyFoxApp : public FXApp {
	     FXDECLARE(MyFoxApp)
	     public:
	     	enum {
			     ID_FIRSTCMD= FXApp::ID_LAST,
			     
            ID_BUTTON87, 
     
            ID_BUTTON95, 
     
            ID_BUTTON103, 
     
            ID_BUTTON108, 
     
            ID_BUTTON113, 
     
            ID_BUTTON119, 
     
            ID_BUTTON128, 
     
            ID_BUTTON136, 
     
            ID_BUTTON141, 
     
            ID_BUTTON37, 
     
		ID_STRINGENTRY43 ,
	
            ID_BUTTON153, 
     
            ID_BUTTON161, 
     
	     	ID_TEXTAREA66,
	     
	        };
		public:
		      
            long onBUTTON87(FXObject *object,FXSelector sel, void *arg) {


		show_editing_screen();
		screen->create();
		main_window->recalc();
		edit_area->setText(page_text);
	
	return 1;
      } 
            long onBUTTON95(FXObject *object,FXSelector sel, void *arg) {


	char *fname;
	fname= choose_file(strdup("Dosya -> Program"));
	if (!fname)
		return 1;
	load_file(fname);
	free(fname);

	return 1;
      } 
            long onBUTTON103(FXObject *object,FXSelector sel, void *arg) {


	char *fname;
	fname= choose_file("Program -> Dosya");
	if (!fname)
		return 1;
	save_file(fname);
	free(fname);

	return 1;
      } 
            long onBUTTON108(FXObject *object,FXSelector sel, void *arg) {


	char *fname;
	fname= get_file_name();
	if (!fname) {
		fname= choose_file("Program -> Dosya");
		if (!fname)
			return 1;
	}
	save_file(fname);

	return 1;
      } 
            long onBUTTON113(FXObject *object,FXSelector sel, void *arg) {


	do_quit();

	return 1;
      } 
            long onBUTTON119(FXObject *object,FXSelector sel, void *arg) {


	move_back();

	return 1;
      } 
            long onBUTTON128(FXObject *object,FXSelector sel, void *arg) {


	move_forward();

	return 1;
      } 
            long onBUTTON136(FXObject *object,FXSelector sel, void *arg) {



	return 1;
      } 
            long onBUTTON141(FXObject *object,FXSelector sel, void *arg) {


	display_toc();

	return 1;
      } 
            long onBUTTON37(FXObject *object,FXSelector sel, void *arg) {


					do_tag_search
					(strdup(tsearch_entry->getText().text()));
				
	return 1;
      } 
		long onSTRINGENTRY43(FXObject *object, FXSelector sel, void *arg) {
			char *str= (char*) arg;



					do_tag_search(strdup(str));
				
			return 0;
		}
	
            long onBUTTON153(FXObject *object,FXSelector sel, void *arg) {


	char *txt= strdup(edit_area->getText().text());
	show_viewing_screen();
	screen->create();
	save_page(page_name, txt);
	free(txt);

	return 1;
      } 
            long onBUTTON161(FXObject *object,FXSelector sel, void *arg) {


	show_viewing_screen();
	screen->create();
	view->set_text(page_text);
	reset_tag_display();
	display_tags(page_text);

	return 1;
      } 
long onCmdQuit(FXObject * object, FXSelector sel, void *arg) {
	do_quit();
	return 1;
}

		      MyFoxApp(const FXString &name, const FXString &vendor) 
		      	: FXApp(name, vendor) { }
			MyFoxApp() : FXApp() { }
		            
     };
     FXDEFMAP(MyFoxApp)  MyFoxAppMap[]= {
	     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON87, 
	     	MyFoxApp::onBUTTON87),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON95, 
	     	MyFoxApp::onBUTTON95),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON103, 
	     	MyFoxApp::onBUTTON103),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON108, 
	     	MyFoxApp::onBUTTON108),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON113, 
	     	MyFoxApp::onBUTTON113),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON119, 
	     	MyFoxApp::onBUTTON119),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON128, 
	     	MyFoxApp::onBUTTON128),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON136, 
	     	MyFoxApp::onBUTTON136),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON141, 
	     	MyFoxApp::onBUTTON141),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON37, 
	     	MyFoxApp::onBUTTON37),
     
		FXMAPFUNC(SEL_COMMAND,MyFoxApp::ID_STRINGENTRY43,
		 MyFoxApp::onSTRINGENTRY43) ,
	
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON153, 
	     	MyFoxApp::onBUTTON153),
     
     	FXMAPFUNC(SEL_COMMAND, MyFoxApp::ID_BUTTON161, 
	     	MyFoxApp::onBUTTON161),
     
	FXMAPFUNC (SEL_COMMAND, MyFoxApp::ID_QUIT,
	     MyFoxApp::onCmdQuit),

    };
    FXIMPLEMENT(MyFoxApp, FXApp, 
    	MyFoxAppMap, ARRAYNUMBER(MyFoxAppMap))
    static MyFoxApp *foxapp;
 









 static  void create_toplevel() {
	 
      FXComposite *parent;
      int common_options= 0;


	 {
	FXMainWindow *obj;
	FXComposite *prior;
	int _width=0, _height= 0;
	
          _width= 600; _height= 600;
   
	obj= new FXMainWindow(foxapp,
		"HELLO!!", NULL, NULL, DECOR_ALL,
		0, 0, _width, _height);
	
	prior= parent;
	parent=obj;


		
   


		
		main_window= obj;
	 parent= prior; }



	 
	

}

 static  void show_viewing_screen() {
	if (screen) delete screen;
	 
      FXComposite *parent;
      int common_options= 0;


	parent= main_window;
	 {
	FXVerticalFrame *obj;
	FXComposite *prior;
	int opts= 0;
	
		opts |= LAYOUT_FILL_X;
	
		opts |= LAYOUT_FILL_Y;
	
	obj= new FXVerticalFrame(parent,opts);
	prior= parent;
	parent= obj;
	
 
	

 
	



		 {
	FXHorizontalFrame *obj;
	FXComposite *prior;
	int opts= 0;
	
		opts |= LAYOUT_FILL_X;
	
	obj= new FXHorizontalFrame(parent,opts);
	prior= parent;
	parent= obj;
	
 
	


			
 {
	FXButton *obj;
	int opts=0;
	const char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "Değiştir";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON87, opts);
	
	


	
     


	
     



  
	
     
     
     
     
     
      
}





			
 
{
	int opts= LABEL_NORMAL;
	
	FXLabel *obj= new FXLabel(parent, " / ",0,opts);

 
{ FXFont *font= obj->getFont();
  FXFontDesc descr;
  font->getFontDesc(descr);
  descr.size= 140;
  obj->setFont(new FXFont(foxapp,descr));
}

 
}


 {
	FXButton *obj;
	int opts=0;
	const char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "Aç";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON95, opts);
	
	

 
     

 
     

 
  
	
     
     
     
     
     
      
}



 
{
	int opts= LABEL_NORMAL;
	
	FXLabel *obj= new FXLabel(parent, "Dosya",0,opts);

 
{ FXFont *font= obj->getFont();
  FXFontDesc descr;
  font->getFontDesc(descr);
  descr.size= 120;
  obj->setFont(new FXFont(foxapp,descr));
}

 
}


 {
	FXButton *obj;
	int opts=0;
	const char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "Farklı";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON103, opts);
	
	

 
     

 
     

 
  
	
     
     
     
     
     
      
}



 {
	FXButton *obj;
	int opts=0;
	const char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "Kaydet";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON108, opts);
	
	

 
     

 
     

 
  
	
     
     
     
     
     
      
}





			
 {
	FXButton *obj;
	int opts=0;
	const char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "Çık";
     
     	opts &= ~(LAYOUT_LEFT | LAYOUT_CENTER_X);
	opts |= LAYOUT_RIGHT;
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON113, opts);
	
	

 
     

 
     



     

 
  
	
     
     
     
     
     
     
     
      
}





		 parent= prior; }


		 {
	FXHorizontalFrame *obj;
	FXComposite *prior;
	int opts= 0;
	
		opts |= LAYOUT_FILL_X;
	
	obj= new FXHorizontalFrame(parent,opts);
	prior= parent;
	parent= obj;
	
 
	


			
 {
	FXButton *obj;
	int opts=0;
	const char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "<Geri";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON119, opts);
	
	

 
     

 
     

 
  
	
     
     
     
     
     
      
}



 
{
	int opts= LABEL_NORMAL;
	
	FXLabel *obj= new FXLabel(parent, "",0,opts);

 
{ FXFont *font= obj->getFont();
  FXFontDesc descr;
  font->getFontDesc(descr);
  descr.size= 120;
  obj->setFont(new FXFont(foxapp,descr));
}


	
	title_label= obj;

}


 {
	FXButton *obj;
	int opts=0;
	const char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "İleri>";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON128, opts);
	
	

 
     

 
     

 
  
	
     
     
     
     
     
      
}





			
 
{
	int opts= LABEL_NORMAL;
	
	FXLabel *obj= new FXLabel(parent, " / ",0,opts);

 
{ FXFont *font= obj->getFont();
  FXFontDesc descr;
  font->getFontDesc(descr);
  descr.size= 140;
  obj->setFont(new FXFont(foxapp,descr));
}

 
}


 {
	FXButton *obj;
	int opts=0;
	const char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "Yukarı";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON136, opts);
	
	

 
     



     

 
  
	
     
     
     
     
     
      
}




 {
	FXButton *obj;
	int opts=0;
	const char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "İçindekiler";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON141, opts);
	
	

 
     



     

 
  
	
     
     
     
     
     
      
}






		 parent= prior; }


		 {
	FXHorizontalFrame *obj;
	FXComposite *prior;
	int opts= 0;
	
		opts |= LAYOUT_FILL_X;
	
	obj= new FXHorizontalFrame(parent,opts);
	prior= parent;
	parent= obj;
	
 
	


			 
{
	int opts= LABEL_NORMAL;
	
	FXLabel *obj= new FXLabel(parent, "PAGE TAGS: ",0,opts);


				
{ FXFont *font= obj->getFont();
  FXFontDesc descr;
  font->getFontDesc(descr);
  descr.size= 120;
  obj->setFont(new FXFont(foxapp,descr));
}


			
}


			 
{
	int opts= LABEL_NORMAL;
	
	FXLabel *obj= new FXLabel(parent, "",0,opts);


				
{ FXFont *font= obj->getFont();
  FXFontDesc descr;
  font->getFontDesc(descr);
  descr.size= 120;
  obj->setFont(new FXFont(foxapp,descr));
}


				
				tags_label= obj;
			
}


			 {
	FXButton *obj;
	int opts=0;
	const char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "ARA";
     
     	opts &= ~(LAYOUT_LEFT | LAYOUT_CENTER_X);
	opts |= LAYOUT_RIGHT;
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON37, opts);
	
	


				
     


				
     


				
     


			
  
	
     
     
     
     
     
     
     
      
}



			 {
	FXTextField *obj;
	int opts=0;
	int cols= 20;
	opts= common_options | TEXTFIELD_NORMAL;
	
	opts &= ~(LAYOUT_LEFT|LAYOUT_CENTER_X);
   	opts |= LAYOUT_RIGHT;
   
   	cols= 30;
   
	obj= new FXTextField(parent, cols, NULL, 0, opts );

				
   


				
   

				
	
	
	



				
				tsearch_entry= obj;
			
}


		 parent= prior; }


		
	
	view= new xtview_t( parent, LAYOUT_FILL_X | LAYOUT_FILL_Y );
	view->link_handler= follow_link;


		
		screen= obj;
	 parent= prior; }



	 
	

}

 void reset_tag_display() {
	tags_label->setText("");
}

 void add_page_tag(char *str) {
	FXString s;
	s= tags_label->getText();
	s.append(" ");
	s.append(str);
	tags_label->setText(s);
}

 static  void show_editing_screen() {
	if (screen) delete screen;
	 
      FXComposite *parent;
      int common_options= 0;


	parent= main_window;
	 {
	FXVerticalFrame *obj;
	FXComposite *prior;
	int opts= 0;
	
		opts |= LAYOUT_FILL_X;
	
		opts |= LAYOUT_FILL_Y;
	
	obj= new FXVerticalFrame(parent,opts);
	prior= parent;
	parent= obj;
	

		
	

 
	



		 {
	FXHorizontalFrame *obj;
	FXComposite *prior;
	int opts= 0;
	
		opts |= LAYOUT_FILL_X;
	
	obj= new FXHorizontalFrame(parent,opts);
	prior= parent;
	parent= obj;
	
 
	


			
 {
	FXButton *obj;
	int opts=0;
	const char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "Kaydet";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON153, opts);
	
	

 
     

 
     

 
  
	
     
     
     
     
     
      
}




 
{
	int opts= LABEL_NORMAL;
	
	FXLabel *obj= new FXLabel(parent, "Sayfayı",0,opts);

 
{ FXFont *font= obj->getFont();
  FXFontDesc descr;
  font->getFontDesc(descr);
  descr.size= 120;
  obj->setFont(new FXFont(foxapp,descr));
}

 
}



 {
	FXButton *obj;
	int opts=0;
	const char *label="";
	FXIcon* icon= NULL;
	opts= common_options | BUTTON_NORMAL;
	
     	label= "İptal";
     
	obj= new FXButton(parent, label, icon, foxapp, MyFoxApp::ID_BUTTON161, opts);
	
	

 
     

 
     

 
  
	
     
     
     
     
     
      
}





		 parent= prior; }


		 {
	FXText* obj;
	int opts= 0;
	
		opts |= LAYOUT_FILL_X;
	
		opts |= LAYOUT_FILL_Y;
	
		opts |= TEXT_WORDWRAP;
	
	     
	obj= new FXText(parent, foxapp, MyFoxApp::ID_TEXTAREA66, opts);
	

			
	

 
	



			
	


			
			edit_area= obj;
		
}


		screen= obj;
	 parent= prior; }



	 
	

}



static doc_style_t document_styles[]= {
	{ 'D', "Bitstream Vera Sans" , 12, 0, 0, 0 },
	{ 'R', "Bitstream Vera Sans" , 12, 0, 0, 0xff0000 },
	{ 'G', "Bitstream Vera Sans" , 12, 0, 0, 0x438c18 },
	{ 'B', "Arial" , 12, 'B', 0, 0 },
	{ 'I', "Bitstream Vera Sans" , 12, 0, 'I', 0 },
	{ 'L', "Bitstream Vera Sans" , 12, 0, 0, 0xff },
	{ 'C', "Courier New", 12, 0, 0, 0 },
	{ 'F', "Courier New", 12, 0, 0, 0},
	{ '1', "Bitstream Vera Sans", 18, 'B', 0, 0 },
	{ '2', "Bitstream Vera Sans", 17, 'B', 0, 0 },
	{ '3', "Bitstream Vera Sans", 15, 'B', 0, 0 },
	{ '4', "Bitstream Vera Sans", 14, 'B', 0, 0 },
	{ 0, 0, 0, 0 , 0 , 0 }
};



 void run_gui() { foxapp->run(); }



 void display_text(char *pname,char *txt) {
	if (page_name)
		free(page_name);
	page_name= strdup(pname);
	if (page_text)
		free(page_text);
	page_text= strdup(txt);
	view->set_text(txt);
	title_label->setText(pname);
}



 void
init_display(char *pname,char *ptext) {
	int argc= 1;
	
	
	char *argv[]= { "txar", 0 };
	
 
  foxapp= new MyFoxApp("Test", "BlackSys");
  foxapp->init(argc,argv);


	create_toplevel();
	show_viewing_screen();
	xtview_set_styles( foxapp, document_styles );
	foxapp->create();
	main_window->show(PLACEMENT_SCREEN);
	display_text(pname,ptext);
}

 static  char *choose_file(char *title) {
	FXFileDialog *dlg;
	char *fname=0;
	dlg= new FXFileDialog(main_window, title);
	if (dlg->execute()) 
		fname= strdup(dlg->getFilename().text());
	delete dlg;
	return fname;
}






 static  void do_quit() {
	char *fname;
	fname= get_file_name();
	if (!fname) 
		fname= choose_file("Program -> Dosya");
	if (fname)
		save_file(fname);
	exit(0);
}
